MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001217XdebugUsage problems (Wrong Results)public2015-11-29 23:582015-12-07 11:32
Reporterderick 
Assigned Toderick 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.4.0rc1 
Target Version2.4.0Fixed in Version2.4.0rc2 
Summary0001217: Xdebug messes with catching Error (and inherited classes)
DescriptionIt's really because xdebug.show_error_trace defaults to 1.

There is an issue at https://github.com/sebastianbergmann/phpunit/issues/1972 [^]
Steps To ReproduceRun this with Xdebug, and with xdebug.show_error_trace=1 (the default)

<?php

class Foo
{
    public function foo(string $string)
    {
    }
}

try {
    $foo = new Foo(null);
} catch (TypeError $e) {
    echo "caught TypeError \n";
}
?>
TagsNo tags attached.
Operating System
PHP Version7.0.0rc7
Attached Files

- Relationships

-  Notes
(0003273)
derick (administrator)
2015-11-30 10:36

Fixed for 2.4.0

- Issue History
Date Modified Username Field Change
2015-11-29 23:58 derick New Issue
2015-11-30 10:36 derick Note Added: 0003273
2015-11-30 10:36 derick Status new => closed
2015-11-30 10:36 derick Assigned To => derick
2015-11-30 10:36 derick Resolution open => fixed
2015-11-30 10:36 derick Fixed in Version => 2.4.0
2015-12-07 11:32 derick Fixed in Version 2.4.0 => 2.4.0rc2
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker